/*===========================================================================*/
/*                                 NWINST.CMD                                */
/*---------------------------------------------------------------------------*/
/* Installationsroutine fr den Netware Requester                            */
/* REXX Prozedur, um die CONFIG.SYS fr OS/2 2.0 zu modifizieren             */
/* Fgt den PATH-, DPATH- und LIBPATH-Statements den Eintrag C:\NETWARE zu   */
/*===========================================================================*/

address cmd
'@echo off'
env='OS2ENVIRONMENT'                              /* Zugang zur OS2 Umgebung */
CltDrv=value('TargetDrive',,env)                    /* List Laufwerk fr OS2 */
NWDrv='C:'                                      /* Bestimmt Laufwerk fr  NW */
/*                                                                           */
/* Das Ziellaufwerk von  OS2 wird aus der Antwortdatei gelesen               */
/* Ziellaufwerk.                                                             */
/*                                                                           */
/* Der NWDrv Buchstabe ist das Laufwerk, auf dem NETWARE installiert wird.   */
/* Es kann auch ein anderes Laufwerk sein, wenn gewnscht.                   */

do while lines(CltDrv||'\config.sys')                  /* Bis zum Datei-Ende */
  it = linein(CltDrv||'\config.sys')                    /* Erste Zeile lesen */
  it = translate(it)                                    /* UPCASE-Umwandlung */
  if pos( 'SET PATH' , it ) <> 0 then  /* Wenn SET PATH in der Zeile steht */
    do
       it = it || NWDrv||'\NETWARE'             /* Zufgen: (NWDrv);\NETWARE */
  end
  if pos( 'SET DPATH' , it ) <> 0 then      /* Falls SET DPATH darin steht */
    do
       it = it || NWDrv||'\NETWARE'             /* Zufgen: (NWDrv);\NETWARE */
  end
  if pos( 'LIBPATH' , it ) <> 0 then        /* Falls LIBPATH gefunden wird */
    do
       it = it || NWDrv||'\NETWARE'             /* Zufgen: (NWDrv);\NETWARE */
  end
  call lineout CltDrv||'\config.new', it  /* Zeile in config.new schreiben */
end

/* Dateien schlieen:                                                        */
call stream CltDrv||'\config.new','c','close'
call stream CltDrv||'\config.sys','c','close'
'copy' CltDrv||'\config.new' CltDrv||'\config.sys'
'del 'CltDrv||'\config.new'
/*                                                                           */
/* Die nchsten Zeilen fgen die bentigten DEVICE-Statements in die         */
/* CONFIG.SYS fr das Novell-Netzwerk ein.                                   */
/* Sie enthalten nur TOKEN RING-Treiber                                      */
/*                                                                           */
call lineout CltDrv||'\config.sys',' '
call lineout CltDrv||'\config.sys','REM'
call lineout CltDrv||'\config.sys','REM Beginning of Netware device statements'
call lineout CltDrv||'\config.sys','REM'
call lineout CltDrv||'\config.sys','DEVICE='NWDrv||'\NETWARE\LSL.SYS'
call lineout CltDrv||'\config.sys','DEVICE='NWDrv||'\NETWARE\TOKEN.SYS'
call lineout CltDrv||'\config.sys','DEVICE='NWDrv||'\NETWARE\ROUTE.SYS'
call lineout CltDrv||'\config.sys','DEVICE='NWDrv||'\NETWARE\IPX.SYS'
call lineout CltDrv||'\config.sys','DEVICE='NWDrv||'\NETWARE\NWREQ.SYS'
call lineout CltDrv||'\config.sys','IFS='NWDrv||'\NETWARE\NWIFS.IFS'
call lineout CltDrv||'\config.sys','RUN='NWDrv||'\NETWARE\NWDAEMON.EXE'
call lineout CltDrv||'\config.sys','RUN='NWDrv||'\NETWARE\DDAEMON.EXE'
call lineout CltDrv||'\config.sys','REM'
call lineout CltDrv||'\config.sys','REM - NetWare Requester statements END --'
call lineout CltDrv||'\config.sys'
/*                                                                           */
/* Dieser Teil erstellt das NWDrv NETWARE-Verzeichnis und                    */
/* kopiert vom Server die Netware-Requester-Dateien hinein                   */
/*                                                                           */
'md' NWDrv||'\NETWARE'
'copy N:\*.* 'NWDrv||'\NETWARE'
/*                                                                           */
/* Die nchste Zeile kopiert die OS/2-Installationsdatei zum Server          */
'copy 'CltDrv||'\OS2\INSTALL\INSTALL.LOG X:\'
/*===========================================================================*/
/*                           Ende von NWINST.CMD                             */